[android-components](../../../index.md) / [mozilla.components.feature.addons.ui](../../index.md) / [AddonsManagerAdapter](../index.md) / [Style](./index.md)

# Style

`data class Style` [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/feature/addons/src/main/java/mozilla/components/feature/addons/ui/AddonsManagerAdapter.kt#L321)

Allows to customize how items should look like.

### Constructors

| Name | Summary |
|---|---|
| [&lt;init&gt;](-init-.md) | `Style(sectionsTextColor: `[`Int`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html)`? = null, addonNameTextColor: `[`Int`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html)`? = null, addonSummaryTextColor: `[`Int`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html)`? = null, sectionsTypeFace: <ERROR CLASS>? = null, addonAllowPrivateBrowsingLabelDrawableRes: `[`Int`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html)`? = null)`<br>Allows to customize how items should look like. |

### Properties

| Name | Summary |
|---|---|
| [addonAllowPrivateBrowsingLabelDrawableRes](addon-allow-private-browsing-label-drawable-res.md) | `val addonAllowPrivateBrowsingLabelDrawableRes: `[`Int`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html)`?` |
| [addonNameTextColor](addon-name-text-color.md) | `val addonNameTextColor: `[`Int`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html)`?` |
| [addonSummaryTextColor](addon-summary-text-color.md) | `val addonSummaryTextColor: `[`Int`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html)`?` |
| [sectionsTextColor](sections-text-color.md) | `val sectionsTextColor: `[`Int`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html)`?` |
| [sectionsTypeFace](sections-type-face.md) | `val sectionsTypeFace: <ERROR CLASS>?` |
